const env = {
    api: {
        endpoint: {
            defaultValue: "https://api.wa.alpha.wa-labs.com",
            type: "string",
            description: "Application api endpoint",
        },
        port: {
            defaultValue: 443,
            type: "number",
            description: "Application api port",
        },
        production: {
            defaultValue: false,
            type: "boolean",
            description: "Production environment",
        },
        routePrefix: {
            defaultValue: "/v3",
            type: "string",
            description: "Api route prefix",
        },
        signinRoute: {
            defaultValue: "/account/users/signin",
            type: "string",
            description: "Api sign in route",
        },
        signoutRoute: {
            defaultValue: "/account/sessions/current",
            type: "string",
            description: "Api sign out route",
        },
    },
    app: {
        alphaWatermark: {
            defaultValue: true,
            type: "boolean",
            description: "Show alpha wartermark",
        },
        favicon: {
            defaultValue: "https://storage.googleapis.com/archer-app/favicons/home.png",
            type: "string",
            description: "App favicon path",
        },
        logo: {
            defaultValue: "https://storage.googleapis.com/archer-app/logos/ArcherLogo_red.png",
            type: "string",
            description: "App logo path",
        },
        passwordFreeSigninEnabled: {
            defaultValue: true,
            type: "boolean",
            description: "Show password free sign in on login page",
        },
        resetPasswordEnabled: {
            defaultValue: true,
            type: "boolean",
            description: "Show reset password on login page",
        },
        rootBackground: {
            defaultValue: "https://storage.googleapis.com/archer-app-test/media/images/interdoc/background.jpg",
            type: "string",
            description: "App background image",
        },
        signupEnabled: {
            defaultValue: true,
            type: "boolean",
            description: "Show sign up on login page",
        },
    },
    client: {
        contact: {
            defaultValue: "contact@whitearrow.com",
            type: "string",
            description: "Client email address",
        },
        name: {
            defaultValue: "White Arrow",
            type: "string",
            description: "Client name",
        },
        support: {
            defaultValue: "support@whitearrow.com",
            type: "string",
            description: "Support email address",
        },
        website: {
            defaultValue: "www.whitearrow.com",
            type: "string",
            description: "Client website",
        },
    },
    debug: {
        consoleLogger: {
            defaultValue: true,
            type: "boolean",
            description: "Enable console logger",
        },
    },
    front: {
        baseHostname: {
            defaultValue: "https://alpha.wa-labs.com",
            type: "string",
            description: "",
        },
        hostname: {
            defaultValue: "https://alpha.wa-labs.com",
            type: "string",
            description: "",
        },
        production: {
            defaultValue: true,
            type: "boolean",
            description: "Production environment",
        },
    },
    googleAnalytics: {
        key: {
            defaultValue: "UA-103938006-2",
            type: "string",
            description: "Google Analytics key",
        },
    },
    stripe: {
        token: {
            defaultValue: "pk_test_GW8Rc6z2mA6vxcjgUuGumuJt",
            type: "string",
            description: "Stripe key",
        },
    },
    theme: {
        primaryColor: {
            defaultValue: "#FF0000",
            type: "color",
            description: "Theme primary color",
        },
        secondaryColor: {
            defaultValue: "#808080",
            type: "color",
            description: "Theme secondary color",
        },
    },
};
export default env;
